problema con visualizzazione ECW

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

problema con visualizzazione ECW

Andrea Chelossi
ciao a tutti
ho un problema con la visualizzazione degli ECW "…sorgente dati raster non supportata"
Ho installato via osgeo4w il pacchetto gdal-ecw e ho copiato gdal_ECW_JP2ECW nella cartella bin di OSGEO4W.
Dove sbaglio?

Windows 7

Versione di QGIS

1.9.0-Master

Revisione codice QGIS

70273b9

Compilato con Qt

4.7.1

Esecuzione con Qt

4.7.1

Compilato con GDAL/OGR

1.9.2

Esecuzione con GDAL/OGR

1.9.2

Versione GEOS

3.3.5

Versione client PostgreSQL

8.3.10

Versione SpatiaLite

3.0.1

Versione QWT

5.2.1

PROJ.4 Version

480

QScintilla2 Version

2.6.2

Questa copia di QGIS scrive messaggi di debug.






_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
630 iscritti al 1.12.2012
Reply | Threaded
Open this post in threaded view
|

Re: problema con visualizzazione ECW

stefano campus
Administrator
pare che la versione 1.9 gdal non supporti più ecw a causa della non completa trasparenza delle clausole di licenza delle librerie sdk.
in questa pagina, è descritto quanto detto
http://hub.qgis.org/issues/6838

nella stessa, però un utente dice di avere risolto il problema:
"first i copied the sdk vc 10 win32 dll in the gdalplugin, 1,9 directory and the system32 folder in windows. This was the solution in the gdal 1.9.0 version.

Now i copied the dlls directly in the bin path: "C:\OSGeo4W\bin" and ecw is supported now in gdal 1.9.2 (see attached jpg)".

qualcuno potrebbe spiegare quali sono le vc 10 win32 dll?
Reply | Threaded
Open this post in threaded view
|

Re: problema con visualizzazione ECW

Andrea Chelossi

Il giorno 19/dic/2012, alle ore 15:06, stefano campus <[hidden email]> ha scritto:

pare che la versione 1.9 gdal non supporti più ecw a causa della non completa
trasparenza delle clausole di licenza delle librerie sdk.
in questa pagina, è descritto quanto detto
http://hub.qgis.org/issues/6838

nella stessa, però un utente dice di avere risolto il problema:
"first i copied the sdk vc 10 win32 dll in the gdalplugin, 1,9 directory and
the system32 folder in windows. This was the solution in the gdal 1.9.0
version.

Now i copied the dlls directly in the bin path: "C:\OSGeo4W\bin" and ecw is
supported now in gdal 1.9.2 (see attached jpg)".

qualcuno potrebbe spiegare quali sono le vc 10 win32 dll?


Grazie Stefano, appena posso provo questa strada.

Andrea Chelossi-Piazza Matteotti n°12-51017-Pescia cell. 328 0094079 - [hidden email]



_______________________________________________
[hidden email]
http://lists.gfoss.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non hanno relazione diretta con le posizioni dell'Associazione GFOSS.it.
630 iscritti al 1.12.2012